String Freeze Exception for recommendations opt-in panel text

Bug #986437 reported by Gary Lasker on 2012-04-21
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Gary Lasker
Precise
Medium
Gary Lasker
Quantal
Medium
Gary Lasker

Bug Description

[TEST CASE]
1. open software-center
2. ensure that the word "anonymous" is in the text of the panel on the the bottom of the lobby page in the "Recommended for you" text
3. install software-center from precise-proposed
4. close/reopen software-center, verify that this time the word "anonymous" is no longer there
5. for bonus points switch to a different well translated language to ensure that the string is still translated

[Regression Potential]
Risk of regression is very low. The only regression potential would be if this string has not been translated to a given language. In that case, it will appear in English. However, we uploaded this new string to rosetta well before Precise final even, so it has had many weeks to be translated, and the translations were released with the first Precise language packs update weeks ago.

---

We need to remove the word "anonymous" from the opt-in panel text, per mpt's comment #5 in bug 967064:

https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/967064/comments/5

We need to do this because we currently require the user to have an SSO account and to be logged into it so that they can receive personalized recommendations. Given that, even though the list of uploaded packages is not tracked in any way, it is nevertheless not accurate to use the word "anonymous" in the opt-in text,

The diff is very simple:

=== modified file 'softwarecenter/ui/gtk3/widgets/recommendations.py'
--- softwarecenter/ui/gtk3/widgets/recommendations.py 2012-04-15 23:53:57 +0000
+++ softwarecenter/ui/gtk3/widgets/recommendations.py 2012-04-16 00:00:36 +0000
@@ -145,7 +145,7 @@
     TURN_ON_RECOMMENDATIONS_TEXT = _(u"Turn On Recommendations")
     RECOMMENDATIONS_OPT_IN_TEXT = _(u"To make recommendations, "
                  "Ubuntu Software Center "
- "will occasionally send to Canonical an anonymous list "
+ "will occasionally send to Canonical a list "
                  "of software currently installed.")

     def __init__(self, catview):

Related branches

Changed in software-center (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Gary Lasker (gary-lasker)
milestone: none → precise-updates
Changed in software-center (Ubuntu):
status: Confirmed → In Progress
description: updated
Gary Lasker (gary-lasker) wrote :

Here are links to the corresponding posts to the good folks on the ubuntu-doc and ubuntu-translators mailing lists:

https://lists.ubuntu.com/archives/ubuntu-translators/2012-April/005394.html

https://lists.ubuntu.com/archives/ubuntu-doc/2012-April/016602.html

Many thanks and my apologies to both of these teams for this very late change!!

Best regards,
Gary

Gary Lasker (gary-lasker) wrote :

Hi all! I just wanted to mention that we had an update from David Planella to the ubuntu-translators and ubuntu-doc lists letting us know that the team is targeting the updated language packs for a May 11th release.

  https://lists.ubuntu.com/archives/ubuntu-translators/2012-April/005398.html

If possible, we'd like to coordinate the release of this fix in software-center as near as we can to this date (note that both the old and new translations are included now in software-center, so nothing will break if one comes out before the other).

Btw, is this bug report waiting on a ack from the release team?

Thanks!

Martin Pitt (pitti) wrote :

This should be coordinated with the translators. Release team wise there is little to decide, the technical risk for this change is very low, aside from the already well-known fact that it breaks all translations. There might be some mitigation possible by changing the msgid of all existing translations upstream; that will make the translation slightly incorrect, but at least not break them. Translators should still be aware that they need to update the string then.

Changed in software-center (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Gary Lasker (gary-lasker)
milestone: none → precise-updates
Changed in software-center (Ubuntu Quantal):
milestone: precise-updates → none
Michael Vogt (mvo) on 2012-06-28
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.3.2

---------------
software-center (5.3.2) quantal-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/recommendations-string-change-lp986437-for-5.2
    - cherry pick string change LP: #986437

  [ Natalia Bidart ]
  * lp:~nataliabidart/software-center/lost-in-translation:
    - Pass the missing "self" argument to the super(ish) call to fix
      crash in the installed pane

  [ Michael Vogt ]
  * merge fixes from the 5.2 branch:
    - LP: #873104, #1003954, #967036, #920741
 -- Michael Vogt <email address hidden> Thu, 28 Jun 2012 11:12:02 +0200

Changed in software-center (Ubuntu Quantal):
status: In Progress → Fix Released

Hello Gary, or anyone else affected,

Accepted software-center into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/software-center/5.2.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in software-center (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
description: updated
Gary Lasker (gary-lasker) wrote :

I have verified that software-center version 5.2.4 in precise-proposed fixes this bug per the test case given in the description. I tested in English, and also verified it is translated into French and Simplified Chinese.

Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.2.4

---------------
software-center (5.2.4) precise-proposed; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/lp970627:
    - fix intermittent crash when expunging the cache (LP: #970627)
  * lp:~mvo/software-center/lp971776:
    - fix crash when a downloaded image is invalid for whatever
      reason (network issues, proxy issues, pay-wall in between)
      (LP: #971776)
  * lp:~mvo/software-center/lp967036-2:
    - fix unicode error crash for people running with the
      LANGUAGE=zh_CN.UTF-8 or zh_TW.UTF-8 (LP: #967036)
  * lp:~mvo/software-center/cookie-jar:
    - fix paypal support in the purchases window (LP: #1018347)

  [ Gary Lasker ]
  * debian/control:
    - update vcs link to point to the 5.2 branch
  * lp:~gary-lasker/software-center/previous-purchase-sorting-lp873104:
    - return correct results when sorting the list of previous
      purchases (LP: #873104)
  * lp:~gary-lasker/software-center/recommendations-string-change-lp986437-for-5.2:
    - switch to the updated recommendations opt-in string now that the
      corresponding language pack updates are released and available
      (LP: #986437)
  * lp:~gary-lasker/software-center/fix-lp920741:
    - fix UnicodeDecodeError when a commercial app's title contains
      a unicode character (LP: #920741)

  [ Natalia Bidart ]
  * lp:~nataliabidart/software-center/cant-stop-the-music:
    - Stop the video if user navigates away from an app details page
      (LP: #1003954).
 -- Michael Vogt <email address hidden> Thu, 28 Jun 2012 10:35:55 +0200

Changed in software-center (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers